/*
 * This file is part of the SPiC RobotArm (https://gitlab.cs.fau.de/i4/spic/robotarm).
 * Copyright (c) 2019 by Bernhard Heinloth
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ARMCONFIG_H
#define ARMCONFIG_H

// Using millimeters as unit
const double DH1 = 58;  // Base height (from Ground)
const double DH2 = 7;   // Wrist - Gripper height offset
const double DH = DH1 - DH2; // resulting height

const double DW1 = 15;  // Base - Shoulder distance
const double DW2 = 64;  // Wrist - Gripper width offset
const double DW = DW1 + DW2; // resulting width

const double DU = 80; // Upper Arm length (Shoulder - Elbow)

const double DF = 80; // Forearm length (Elbow - Wrist)

const double GRIPPERMAX = 180;

// Smooth move stepsize
const int STEPSIZE = 1;

// Delay during smooth move in us
const int DELAY = 50;

// inital position
const double XINIT = 0;
const double YINIT = 120;
const double ZINIT = 50;

#endif
